## node-async 0.1.15~20111104

=== debian/changelog ===
node-async (0.1.15~20111104-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#639095.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 19:48:43 +0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for async
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = async
libdirname = $(libname)
libpkgname = libjs-$(libname)
nodepkgname = node-$(libname)

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
#DEB_UPSTREAM_TARBALL_MD5 = 

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_INSTALL_DOCS_ALL += README.md

# Ease backporting (libnode-uglify is tough to backport)
# TODO: drop fallback-dependency after Squeeze
CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# TODO: generalize (at least non-node) parts below as a CDBS snippet

js-basedir = lib/
#js-stems = $(basename $(wildcard $(js-basedir)*.js))
js-stems = $(libname)
js-min = $(js-stems:%=debian/%.min.js)
js-destdir = /usr/share/javascript/$(libdirname)

node-destdir = /usr/lib/nodejs/

DEB_DH_INSTALL_ARGS_DEFAULT = $(js-stems:%=$(js-basedir)%.js) debian/*.min.js $(js-destdir)
DEB_DH_INSTALL_ARGS_$(nodepkgname) = $(js-stems:%=$(js-basedir)%.js) $(node-destdir)

build/$(libpkgname):: $(js-min)
$(js-min): debian/%.min.js: $(js-basedir)%.js
	$(js-compressor) -o $@ $<
clean::
	rm -f debian/*.js

## node-async 3.2.6%2Bdfsg

=== Makefile ===
# This makefile is meant to be run on OSX/Linux.  Make sure any dist/ artifacts
# created here are checked in so people on all platforms can run npm scripts.
# This build should be run once per release.

SHELL=/bin/bash
export PATH := ./node_modules/.bin/:$(PATH):./bin/

PACKAGE = asyncjs
REQUIRE_NAME = async
XYZ = support/xyz.sh --repo git@github.com:caolan/async.git

BUILDDIR = build
BUILD_ES = build-es
DIST = dist
JS_INDEX = lib/index.js
SCRIPTS = ./support
JS_SRC := $(shell find lib/ -type f -name '*.js') lib/index.js lib/asyncify.js
INDEX_SRC := $(filter-out $(JS_INDEX),$(JS_SRC)) $(SCRIPTS)/index-template.js $(SCRIPTS)/aliases.txt ${SCRIPTS}/generate-index.js
LINT_FILES := lib/ test/ $(shell find perf/ -maxdepth 2 -type f) $(shell find support/ -maxdepth 2 -type f -name "*.js") karma.conf.js

UMD_BUNDLE := $(BUILDDIR)/dist/async.js
UMD_BUNDLE_MIN := $(BUILDDIR)/dist/async.min.js
MJS_BUNDLE := $(BUILDDIR)/dist/async.mjs
# UMD_BUNDLE_MAP := $(BUILDDIR)/dist/async.min.map
ALIAS_ES := $(addprefix build-es/, $(addsuffix .js, $(shell cat $(SCRIPTS)/aliases.txt | cut -d ' ' -f1)))
ALIAS_CJS := $(patsubst build-es/%, build/%, $(ALIAS_ES))
ES_MODULES := $(patsubst lib/%.js, build-es/%.js, $(JS_SRC)) $(ALIAS_ES)
CJS_MODULES := $(patsubst lib/%.js, build/%.js,  $(JS_SRC)) $(ALIAS_CJS)

define ALIAS_SRC =
$(shell cat $(SCRIPTS)/aliases.txt | grep "$(basename $(notdir $(1))) " | cut -d" " -f2 )
endef

define COMPILE_ALIAS =
SRC_$(A) := lib/$(call ALIAS_SRC,$(A)).js
$(A): $$(SRC_$(A))
	mkdir -p "$$(@D)"
	node $$(SCRIPTS)/build/compile-module.js --file $$< --output $$@
endef
$(foreach A,$(ALIAS_CJS),$(eval $(COMPILE_ALIAS)))

define COPY_ES_ALIAS =
SRC_$(A) := lib/$(call ALIAS_SRC,$(A)).js
$(A): $$(SRC_$(A))
	mkdir -p "$$(@D)"
	cp $$< $$@
endef
$(foreach A,$(ALIAS_ES),$(eval $(COPY_ES_ALIAS)))

all: lint build test

test:
	npm test

clean:
	rm -rf $(BUILDDIR)
	rm -rf $(BUILD_ES)
	rm -rf $(DIST)
	rm -rf $(JS_INDEX)
	rm -rf tmp/ .nyc_output/ coverage/
	rm -rf perf/versions/

lint:
	eslint --fix $(LINT_FILES)

# Compile the ES6 modules to singular bundles, and individual bundles
build-bundle: build-modules $(UMD_BUNDLE) $(MJS_BUNDLE)

build-modules: $(CJS_MODULES)

$(JS_INDEX): $(INDEX_SRC)
	node $(SCRIPTS)/generate-index.js > $@

$(BUILDDIR)/%.js: lib/%.js
	mkdir -p "$(@D)"
	node $(SCRIPTS)/build/compile-module.js --file $< --output $@


$(UMD_BUNDLE): $(ES_MODULES) package.json
	mkdir -p "$(@D)"
	node $(SCRIPTS)/build/aggregate-bundle.js

$(MJS_BUNDLE): $(ES_MODULES) package.json
	mkdir -p "$(@D)"
	node $(SCRIPTS)/build/aggregate-module.js

# Create the minified UMD versions and copy them to dist/ for bower
build-dist: $(DIST) $(DIST)/async.js $(DIST)/async.min.js # $(DIST)/async.min.map

$(DIST):
	mkdir -p $@

$(UMD_BUNDLE_MIN): $(UMD_BUNDLE)
	mkdir -p "$(@D)"
	babel-minify $< --mangle -o $@

$(DIST)/async.js: $(UMD_BUNDLE)
	cp $< $@

$(DIST)/async.min.js: $(UMD_BUNDLE_MIN)
	cp $< $@

# $(DIST)/async.min.map: $(UMD_BUNDLE_MIN)
# 	cp $(UMD_BUNDLE_MAP) $@

build-es: $(ES_MODULES)

$(BUILD_ES)/%.js: lib/%.js
	mkdir -p "$(@D)"
	cat $< > $@

test-build: $(UMD_BUNDLE) $(UMD_BUNDLE_MIN) $(ES_MODULES) $(CJS_MODULES)
	mocha support/build.test.js

build-config: $(BUILDDIR)/package.json $(BUILDDIR)/bower.json $(BUILDDIR)/README.md $(BUILDDIR)/LICENSE $(BUILDDIR)/CHANGELOG.md

build-es-config: $(BUILD_ES)/package.json $(BUILD_ES)/README.md $(BUILD_ES)/LICENSE $(BUILD_ES)/CHANGELOG.md

$(BUILDDIR)/package.json: package.json
	mkdir -p "$(@D)"
	support/sync-cjs-package.js > $@

$(BUILDDIR)/%: %
	mkdir -p "$(@D)"
	cp $< $@

$(BUILD_ES)/package.json: package.json
	mkdir -p "$(@D)"
	support/sync-es-package.js > $@

$(BUILD_ES)/README.md: README.es.md
	mkdir -p "$(@D)"
	cp $< $@

$(BUILD_ES)/%: %
	mkdir -p "$(@D)"
	cp $< $@

.PHONY: build-modules build-bundle build-dist build-es build-config build-es-config test-build

build: build-bundle build-dist build-es build-config build-es-config test-build

.PHONY: test lint build all clean

.PHONY: release-major release-minor release-patch release-prerelease
release-major release-minor release-patch release-prerelease:
	$(MAKE) clean
	$(MAKE) all
	npm ci # ensure dependencies are up to date (#1158)
	git add --force $(DIST)
	git commit -am "Update built files"; true
	$(XYZ) --increment $(@:release-%=%)
	# build again to propagate the version
	$(MAKE) build-config
	$(MAKE) build-es-config
	cd build/ && npm publish
	cd build-es/ && npm publish
	$(MAKE) publish-doc

.PHONY: doc publish-doc
doc:
	jsdoc -c ./support/jsdoc/jsdoc.json
	node support/jsdoc/jsdoc-fix-html.js

publish-doc: doc

.PHONY: list
list:
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$'

## node-async 0.1.15

=== debian/changelog ===
node-async (0.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 15:35:18 +0700

=== debian/control ===
Source: node-async
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 libnode-uglify | yui-compressor
Standards-Version: 3.9.2
Homepage: https://github.com/caolan/async
Vcs-Git: git://git.debian.org/git/collab-maint/node-async
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git

Package: libjs-async
Architecture: all
Depends: ${misc:Depends},
 nodejs
Description: higher-order functions and common patterns for asynchronous Javascript
 Node is an event-based server-side JavaScript engine.
 .
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript. Although originally
 designed for use with Node, it can also be used directly in the
 browser.
 .
 Async provides around 20 functions that include the usual 'functional'
 suspects (map, reduce, filter, forEach…) as well as some common
 patterns for asynchronous control flow (parallel, series, waterfall…).
 All these functions assume you follow the Node convention of providing
 a single callback as the last argument of your async function.
 .
 This provides async for use directly in web browsers.

Package: node-async
Architecture: all
Depends: ${misc:Depends},
 nodejs
Description: higher-order functions and common patterns for asynchronous Javascript
 Node is an event-based server-side JavaScript engine.
 .
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript. Although originally
 designed for use with Node, it can also be used directly in the
 browser.
 .
 Async provides around 20 functions that include the usual 'functional'
 suspects (map, reduce, filter, forEach…) as well as some common
 patterns for asynchronous control flow (parallel, series, waterfall…).
 All these functions assume you follow the Node convention of providing
 a single callback as the last argument of your async function.
 .
 This provides async for use with Node.

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-#DEB_UPSTREAM_TARBALL_MD5 = 
+DEB_UPSTREAM_TARBALL_MD5 = 03fff0eefbe11c854b043c34e3b5e890
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=caolan&project=async .*/v(\d.*).tar.gz

## node-async 0.1.17

=== debian/changelog ===
node-async (0.1.17-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:18:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 03fff0eefbe11c854b043c34e3b5e890
+DEB_UPSTREAM_TARBALL_MD5 = 5a540b95b45365780888114cb7cfa876
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$

## node-async 0.1.18~20120312

=== debian/changelog ===
node-async (0.1.18~20120312-1) unstable; urgency=low

  * New upstream (snapshot of) release.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 20:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper,
  dh-buildinfo,
  libnode-uglify | yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,10 @@
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+# FIXME: when tagged upstream change to v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME = 0~master
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 5a540b95b45365780888114cb7cfa876
+DEB_UPSTREAM_TARBALL_MD5 = 22aca42347583ca368708e47939a80ec
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$

=== debian/watch ===
version=3
http://githubredir.debian.net/github/caolan/async .*?(\d[^/]*).tar.gz

## node-async 0.1.22

=== debian/changelog ===
node-async (0.1.22-2) unstable; urgency=low

  * Fix build-depend on node-uglify (not libnode-uglify).
    Closes: bug#695814. Thanks to Adam Conrad.
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Bump dephelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2012 02:04:24 +0100

node-async (0.1.22-1) unstable; urgency=low

  * New upstream release.
    + Avoid double calling tasks in auto when one or more tasks are
      synchronous.

  * Extend copyright of packaging to cover 2012.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2012 09:18:55 +0200

node-async (0.1.21-1) unstable; urgency=low

  * New upstream release.
    + Fix pass null (not undef) as error to callbacks, when no error
      occured.
    + Add a ';', to avoid uglify failing with strict_semicolons option.
    + Fix occasional synchronous use of forEachLimit.

  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 16:50:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- libnode-uglify | yui-compressor
+ node-uglify | yui-compressor
 Standards-Version: 3.9.3
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git
 
 Package: libjs-async
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
@@ -29,20 +29,18 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
-# FIXME: when tagged upstream change to v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_BASENAME = 0~master
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 22aca42347583ca368708e47939a80ec
+DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = ed61867d148cbaafc79d4a17ec87d144
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_INSTALL_DOCS_ALL += README.md
 
-# Ease backporting (libnode-uglify is tough to backport)
+# Ease backporting (node-uglify is tough to backport)
 # TODO: drop fallback-dependency after Squeeze
-CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
+CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
 js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
 # TODO: generalize (at least non-node) parts below as a CDBS snippet

## node-async 0.2.5

=== debian/changelog ===
node-async (0.2.5-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Stop tracking md5sum of upstream tarball.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Have git-import-orig suppress upstream .gitignore file.
  * List upstream issue tracker as preferred contact.
  * Bump standards-version to 3.9.4.
  * Unset executable bit on library files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Aug 2013 20:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper,
  dh-buildinfo,
  node-uglify | yui-compressor
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, 2012, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -31,7 +31,6 @@
 
 DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = ed61867d148cbaafc79d4a17ec87d144
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -51,7 +50,7 @@
 js-min = $(js-stems:%=debian/%.min.js)
 js-destdir = /usr/share/javascript/$(libdirname)
 
-node-destdir = /usr/lib/nodejs/
+node-destdir = /usr/lib/nodejs
 
 DEB_DH_INSTALL_ARGS_DEFAULT = $(js-stems:%=$(js-basedir)%.js) debian/*.min.js $(js-destdir)
 DEB_DH_INSTALL_ARGS_$(nodepkgname) = $(js-stems:%=$(js-basedir)%.js) $(node-destdir)
@@ -61,3 +60,9 @@
 	$(js-compressor) -o $@ $<
 clean::
 	rm -f debian/*.js
+
+# Unset executable bit on library files
+binary-post-install/$(nodepkgname)::
+	chmod -x debian/$(cdbs_curpkg)$(node-destdir)/*
+binary-post-install/$(libpkgname)::
+	chmod -x debian/$(cdbs_curpkg)$(js-destdir)/*

## node-async 0.8.0

=== debian/changelog ===
node-async (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.5.
  * Update Vcs-* fields: Packaging git moved to pkg-javascript area of
    Alioth.
  * Update copyright info:
    + Extend coverage for myself.
    + Extend copyright coverage for main upstream author.
  * Fix use TLS in CDBS get-orig-source target, and update URL to not
    use "v" prefix.
  * Stop suppress uglified files from copyright check: No longer
    included in upstream source.
  * Build-depend on devscript (needed for copyright check).
  * Install package.json.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 10:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  node-uglify | yui-compressor
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/caolan/async
-Vcs-Git: git://git.debian.org/git/collab-maint/node-async
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git
+Vcs-Git: git://git.debian.org/git/pkg-javascript/node-async
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-async.git
 
 Package: libjs-async
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,7 +16,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
--include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -25,15 +25,8 @@
 libpkgname = libjs-$(libname)
 nodepkgname = node-$(libname)
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-
-DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# suppress checking binary files, to not upset dpkg-source
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_UPSTREAM_URL = https://github.com/caolan/async/archive
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 DEB_INSTALL_DOCS_ALL += README.md
 
@@ -53,7 +46,10 @@
 node-destdir = /usr/lib/nodejs
 
 DEB_DH_INSTALL_ARGS_DEFAULT = $(js-stems:%=$(js-basedir)%.js) debian/*.min.js $(js-destdir)
-DEB_DH_INSTALL_ARGS_$(nodepkgname) = $(js-stems:%=$(js-basedir)%.js) $(node-destdir)
+DEB_DH_INSTALL_ARGS_$(nodepkgname) = \
+	package.json \
+	$(js-stems:%=$(js-basedir)%.js) \
+	$(node-destdir)
 
 build/$(libpkgname):: $(js-min)
 $(js-min): debian/%.min.js: $(js-basedir)%.js

=== debian/watch ===
version=3
https://github.com/caolan/async/tags .*/archive/v?(\d[\d\.]+).tar.gz

## node-async 3.2.6%2Bdfsg

=== debian/control ===
Source: node-async
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-babel-core
 , node-babel-minify
 , node-babel-plugin-add-module-exports
 , node-babel-plugin-transform-modules-commonjs
 , node-rollup-plugin-node-resolve
 , rollup
 , node-istanbul (>= 0.4.5+repack10+~cs98.25.59-3) <!nocheck>
 , mocha <!nocheck>
 , chai <!nocheck>
 , node-rsvp <!nocheck>
 , node-lodash <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/js-team/node-async
Vcs-Git: https://salsa.debian.org/js-team/node-async.git
Homepage: https://github.com/caolan/async
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-async
Architecture: all
Depends: ${misc:Depends}
Provides: node-async-es (= ${binary:Version})
Conflicts: libjs-async
Replaces: libjs-async
Multi-Arch: foreign
Description: functions and patterns for asynchronous code - Node.js
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript.
 .
 Async provides around 70 functions that include the usual 'functional'
 suspects (map, reduce, filter, each, ...) as well as some common
 patterns for asynchronous control flow (parallel, series, waterfall, ...).
 All these functions assume you follow the Node convention of providing
 a single callback as the last argument of your async function.
 .
 Although originally designed for use with Node.js, this package can
 also be used directly in the browser.  An ESM/MJS version is included
 in this package that should automatically be used with compatible
 bundlers such as Webpack and Rollup.
 .
 A pure ESM version of Async is also available as the async-es, included in
 this Debian package.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-async 3.2.6+dfsg

=== debian/changelog ===
node-async (3.2.6+dfsg-2willsync1) questing; urgency=medium

  * d/control: re-add node-istanbul to Build-Depends

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 17 Jun 2025 11:57:45 -0700

node-async (3.2.6+dfsg-2ubuntu1) questing; urgency=medium

  * d/control: temporarily drop node-istanbul from Build-Depends
    (LP: #2114857)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 17 Jun 2025 08:57:46 -0700

node-async (3.2.6+dfsg-2) unstable; urgency=medium

  * Team upload
  * Change "Breaks: libjs-async" to Conflicts
  * Update package description to mention ESM/MJS and async-es package
  * For tests, depend on compatible version of node-istanbul, and skip
    slow tests on slow architectures

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Sep 2024 19:59:12 +0100

node-async (3.2.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Exclude minified files from upstream source, and unreproducible
    documentation (as we don't have jsdoc in Debian yet, and we're not
    making a documentation package).
  * Update d/copyright file
  * Remove libjs-async package; it has no reverse dependencies and is now
    unnecessary
  * Rewrite the majority of debian/* for new version

 -- Julian Gilbey <jdg@debian.org>  Wed, 18 Sep 2024 09:05:49 +0100

node-async (0.8.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-async: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 10:06:48 +0000

node-async (0.8.0-5) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed
  * Drop nodejs dependency
  * Mark test dependencies with <!nocheck>
  * Use dh-sequence-nodejs auto test & install

 -- Yadd <yadd@debian.org>  Thu, 20 Jan 2022 09:13:47 +0100

node-async (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + libjs-async: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Replace deprecated no-uglify by uglifyjs (Closes: #979900)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 21:04:30 +0100

node-async (0.8.0-3) unstable; urgency=medium

  * Use short-form dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Add patch 1001 to modernize testsuite: Replace pre-0.12 Node.js
    process.binding('evals') with require('vm') in testsuite.
  * Run testsuite.
    Build-depend on nodeunit.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2018 19:14:38 +0100

node-async (0.8.0-2) unstable; urgency=medium

  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on devscripts.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from documentation.
    + Set repacksuffix.
    + Add usage comment.
    + Use substitution strings.
  * Update package relations:
    + Stop fallback-build-depend on yui-compressor: Unneeded since
      squeeze.
    + Fix stop libjs-async bogus dependency on nodejs.
    + Fix have libjs-async recommend javascript-common.
    + Stop build-depend on dh-buildinfo.
  * Stop resolve build-dependencies indirectly in rules file.
  * Modernize Vcs-* fields:
    + Use protocol https (not http or git).
    + Use git (not cgit) in path.
    + Include .git suffix in path.
  * Use package section javascript (not web).
  * Improve short and long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Use dephelper compatibility level 9 (not 8).
  * Fix deduplicate code: Have node-async symlink from and depend on
    libjs-async.
  * Fix install nodejs code into subdirectory.
    Closes: Bug#772835. Thanks to Olliver Schinagl.
  * Tighten rules file: Generalize resolving JavaScript source files.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2018 18:17:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: node-async
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
@@ -14,6 +15,9 @@
  , node-istanbul (>= 0.4.5+repack10+~cs98.25.59-3) <!nocheck>
  , mocha <!nocheck>
  , chai <!nocheck>
+ , node-bluebird <!nocheck>
+ , node-es6-promise <!nocheck>
+ , node-native-promise-only <!nocheck>
  , node-rsvp <!nocheck>
  , node-lodash <!nocheck>
 Standards-Version: 4.7.0

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
 dversionmangle=s/\+dfsg\d*$//, repacksuffix=+dfsg" \
 https://github.com/caolan/async/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
